package com.glxp.udidl.admin.entity.collect;

import lombok.Data;

import java.util.Date;

/**
 * 业务详情
 */
@Data
public class CollectOrderBizResponse {


    private Long id;
    /**
     * 单据号外键
     */
    private String orderIdFk;


    /**
     * 院内编码（第三方编码）
     */
    private String thrCode;

    /**
     * 医保编码
     */
    private String ybbm;

    /**
     * 收费编码
     */
    private String payFeeCode;

    /**
     * 产品通用名称
     */
    private String cpmctymc;

    /**
     * 产品标识
     */
    private String nameCode;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private String productDate;

    /**
     * 失效日期
     */
    private String expireDate;

    /**
     * 单据数量
     */
    private Integer count;

    /**
     * 实际数量
     */
    private Integer actCount;

    /**
     * 扫码数量
     */
    private Integer scanCount;

    /**
     * 扫码实际数量
     */
    private Integer scanActCount;

    /**
     * 计量单位
     */
    private String measureUnit;

    /**
     * 单据明细赋码状态  1:未赋码；2：部分赋码；3：已赋码
     */
    private Integer tagStatus;

    /**
     * 赋码错误信息
     */
    private String tagMsg;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 绑定的UDI码
     */
    private String udiCode;
    private Long relId;
    private Integer unTagCount;


    private String scanUdiCode;
    private String splitUdiCode;
    private String unSplitUdiCode;
    private String finishUdiCode;
    private String bzgg;


    private Integer autoResCount;
    private String replaceCode;

    /**
     * 自动赋码状态：1：无法自动赋码；2：可以自动赋码；3:可以自动赋码，但是数量不足
     */
    private Integer autoTagStatus;
    /**
     * 临时工位存量
     */
    private Integer tempWorkPlaceCount;
    /**
     * 临时拆零存量
     */
    private Integer tempSplitCount;

    private String remark1;
    private String remark2;
    private String remark3;
    private String remark4;
    private String remark5;
    private String remark6;
    private String remark7;
    private String remark8;
    private String remark9;
    private String remark10;


    private boolean splitUnCheck;


}
