package com.glxp.udidl.admin.entity.auth;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
@TableName("auth_ali_user")
@Data
public class AuthAliUser {
    private Long id;

    /**
     * 第三方ID
     */
    @TableField(value = "erpid")
    private String erpid;

    /**
     * 阿里KEY
     */
    @TableField(value = "appkey")
    private String appkey;
    /**
     * 阿里密钥
     */
    @TableField(value = "appsecret")
    private String appsecret;
    /**
     * 厂家标识
     */
    @TableField(value = "refentid")
    private String refentid;

    /**
     * 1 为生成企业 2为零售药店
     */
    @TableField(value = "type")
    private String type;

    /**
     * 当天药品查询接口次数
     */
    @TableField(value = "drugResCodeCount")
    private Integer drugResCodeCount;

    /**
     * 当天药品查询接口允许最大次数
     */
    @TableField(value = "drugResCodeCountMax")
    private Integer drugResCodeCountMax;

}
